SodiumEquivalent
Date: 2014-08-08

melting.ionCorrection.sodiumEquivalence

## Class SodiumEquivalent

- java.lang.Object
- - melting.ionCorrection.sodiumEquivalence.SodiumEquivalent

- All Implemented Interfaces:
    SodiumEquivalentMethod
  Direct Known Subclasses:
    Ahsen01_NaEquivalent, Mitsuhashi96NaEquivalent, Peyret00_NaEquivalent

      public abstract class SodiumEquivalent
      extends java.lang.Object
      implements SodiumEquivalentMethod

  This class represents the methods to compute a sodium equivalence. It implements the SodiumEquivalentMethod interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SodiumEquivalent()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getSodiumEquivalent(double Na, double Mg, double K, double Tris, double dNTP, double b)` This method is called to get a sodium equivalent concentration when other cations are present.
    `boolean` | `isApplicable(java.util.HashMap<java.lang.String,java.lang.String> options)` Check if the model to compute an equivalent sodium cencentration is applicable with the options entered by the user.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface melting.methodInterfaces.SodiumEquivalentMethod

      `computeSodiumEquivalent`

- - ### Constructor Detail

    - #### SodiumEquivalent

          public SodiumEquivalent()

  - ### Method Detail

    - #### isApplicable

          public boolean isApplicable(java.util.HashMap<java.lang.String,java.lang.String> options)

      Description copied from interface: `SodiumEquivalentMethod`
      Check if the model to compute an equivalent sodium cencentration is applicable with the options entered by the user.
      Specified by:
        `isApplicable` in interface `SodiumEquivalentMethod`
      Parameters:
        `options` - which contains the options. (default options and options entered by the user)
      Returns:
        false if one of the options entered by the user make the model inapplicable. If one of the options can make the results less reliable, a warning message will appear.

    - #### getSodiumEquivalent

          public double getSodiumEquivalent(double Na,
                                   double Mg,
                                   double K,
                                   double Tris,
                                   double dNTP,
                                   double b)

      This method is called to get a sodium equivalent concentration when other cations are present.
      Parameters:
        `Na` - : sodium concentration
        `Mg` - : magnesium concentration
        `K` - : potassium concentration
        `Tris` - : Tris buffer concentration
        `dNTP` - : dNTP concentration
        `b` - : a formula parameter depending on the model.
      Returns:
        double NaEq : the sodium equivalent concentration which takes in account the other cation concentrations.